Subject: Re: bug#62216: Odd file corruption in clojure mode and emacs 30 HEAD

From: Dmitry Gutov <[email-masked]>
Date: Thu, 27 Jul 2023 04:42:42 +0300

On 16/05/2023 23:22, Jonathon McKitrick wrote:
> I'm frustrated that I cannot reproduce the bug reliably, but it does happen constantly under emacs 30. What I have narrowed it down to
> is what seems to be a random injection of code from the same file or the kill ring. That of course trips up paredit and any compilation.

Something vaguely similar: I had a problem, in one session, that 
reindenting any line or region would, instead of simple whitespace for 
indentation, insert some repeated chunks of code from I don't know where.

I didn't investigate this, though. This only happened once and a restart 
fixed it.

I don't use desktop-mode. If you do, though, it might be carrying over 
some variable(s) from the previous sessions which can trigger the 
problem. The desktop save file, in that case, could help reproduce it 
(either you would post it as a part of recipe, or you would just read it 
through and try applying the values in there one by one until the 
problem resurfaces).